summaryrefslogtreecommitdiff
path: root/qa/447
diff options
context:
space:
mode:
Diffstat (limited to 'qa/447')
-rwxr-xr-xqa/44746
1 files changed, 46 insertions, 0 deletions
diff --git a/qa/447 b/qa/447
new file mode 100755
index 0000000..1a6651d
--- /dev/null
+++ b/qa/447
@@ -0,0 +1,46 @@
+#!/bin/sh
+# PCP QA Test No. 447
+# instances for event records
+#
+# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+which pmevent >/dev/null 2>&1 || _notrun "pmevent executable not found"
+
+status=0 # success is the default!
+host=`hostname`
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e "s/host: $host/host: localhost/g" \
+ -e 's/[0-2][0-9]:[0-5][0-9]:[0-5][0-9]\.[0-9][0-9][0-9]/TIMESTAMP/g'
+}
+
+_run()
+{
+ echo
+ echo "=== $* ==="
+ pmstore sample.event.reset 0 >/dev/null 2>&1
+ pmstore sampledso.event.reset 0 >/dev/null 2>&1
+ pmevent $* 2>&1 | _filter
+}
+
+# real QA test starts here
+_run -t 0.1 -s 4 sampledso.event.records
+_run -t 0.1 -s 4 'sampledso.event.records[fungus,bogus]'
+_run -t 0.1 -s 4 'sampledso.event.records[fungus]' 'sampledso.event.records[bogus]'
+_run -t 0.1 -s 4 sampledso.event.no_indom_records
+
+# success, all done
+exit